%define name    lash
%define version 0.5.0
%define release 0%{?dist}.1 
%define _prefix /usr

Summary:        LASH Audio Session Handler
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{_prefix}
License:        GPL
Group:          Productivity/Multimedia/Sound/Utilities
URL:            http://www.nongnu.org/lash/
Source:         %{name}-%{version}.tar.bz2
Source1:	%{name}_panel.desktop
Source2:	%{name}_synth.desktop
Source3:      	%{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  alsa-lib-devel
BuildRequires:  jack-audio-connection-kit-devel
#BuildRequires:  gtk2-devel
#BuildRequires:	gtk-devel
BuildRequires:	glib-devel
BuildRequires:  readline-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  libxml2-devel
Requires:       alsa-lib
Requires:       jack-audio-connection-kit
#Requires:	gtk2
#Requires:	gtk
Requires:	glib
Requires:	readline
Requires:	e2fsprogs
Requires:	libxml2
Requires:	lash-libs

%description

LASH is a session management system for JACK and ALSA audio applications on GNU/Linux.
It is an implementation of a proposal that originated from this discussion. 
Its aim is to allow you to have many different audio programs running at once, to save their setup, 
close them down and then easily reload the setup at some other time.

%package libs
Summary:      Shared libraries for LASH system
Group:        System/Libraries

%description libs
This package contains the shared libraries for LASH system.

%package devel
Summary:      Development package for LASH
Group:        Development/Libraries/C and C++
Requires:     lash-libs glibc-devel

%description devel
This package contains the files needed to compile programs that use the
LASH system.

%prep
%setup -q -n %{name}-%{version}
#autoreconf --force --install

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
./configure --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --mandir=%{_mandir} \
  --infodir=%{_infodir} \
  --disable-serv-inst
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%{__mkdir} -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
%{__cp} %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps
%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
%{__install} %{SOURCE1} %{buildroot}%{_datadir}/applications/
%{__install} %{SOURCE2} %{buildroot}%{_datadir}/applications/


%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications &>/dev/null || :

%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications &>/dev/null || :

%post libs
%run_ldconfig

%postun libs
%run_ldconfig

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_datadir}/applications/%{name}_panel.desktop
%{_datadir}/applications/%{name}_synth.desktop
%{_datadir}/pixmaps/*.png
%{_bindir}/*
%{_infodir}/*.info*

%files libs
%defattr(-,root,root)
%{_libdir}/lib*.so.*
%{_datadir}/lash

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%changelog -n lash
* Mon Apr 24 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
- Changes specific to StartCom

* Sat Jan 28 2006 - r.neike@gmx.de 0.5.0-0.jacklab.1
- build for JackLab

